## org.apache.catalina.startup
Class Bootstrap

    java.lang.Object
      org.apache.catalina.startup.Bootstrap

public final class Bootstrap
extends java.lang.Object

Boostrap loader for Catalina. This application constructs a class loader for use in loading the Catalina internal classes (by accumulating all of the JAR files found in the "server" directory under "catalina.home"), and starts the regular execution of the container. The purpose of this roundabout approach is to keep the Catalina internal classes (and any other classes they depend on, such as an XML parser) out of the system class path and therefore not visible to application level classes.

Version:
  $Revision: 1.37 $ $Date: 2004/08/26 21:41:12 $
Author:
  Craig R. McClanahan

Constructor Summary
`Bootstrap()`

Method Summary
`static void` `main(java.lang.String[] args)` The main program for the bootstrap.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bootstrap

    public Bootstrap()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main program for the bootstrap.

  Parameters:
    `args` - Command line arguments to be processed

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.